/**
 * 场景的渲染类型.
 */
export declare enum RenderType {
    /**
     * 线框模式
     */
    Wireframe = 1,
    /**
     * 概念
     */
    Conceptual = 2,
    /**
     * 物理着色PBR
     */
    Physical = 3,
    Jig = 4,
    Print = 5,
    /**物理带线框 */
    Physical2 = 6,
    Edge = 7,//封边检查    OpenCabinet.UNOPENRENDERTYPE 该视图下不支持开门动作
    PlaceFace = 8,//排版面 OpenCabinet.UNOPENRENDERTYPE 该视图下不支持开门动作
    BigHoleFace = 81,//大孔面 OpenCabinet.UNOPENRENDERTYPE 该视图下不支持开门动作
    CustomNumber = 9,//自定义编号
    ModelGroove = 10,//造型槽  OpenCabinet.UNOPENRENDERTYPE 该视图下不支持开门动作
    /******************************************** 在视口时的渲染模式 */
    /**
    * 线框模式
    */
    WireframePrint = 101,
    /**
     * 概念
     */
    ConceptualPrint = 102,
    /**
     * 物理着色PBR
     */
    PhysicalPrint = 103,
    JigPrint = 104,
    PrintPrint = 105,
    /**真实带线框 */
    Physical2Print = 106,
    CustomNumberPrint = 109,
    ConceptualTransparent = 182
}
export declare function IsPhysical(renderType: RenderType): boolean;
//# sourceMappingURL=RenderType.d.ts.map